<?php

/* SeoSlave Link-Exchance Joomla Plugin
 Copyright (C) 2010 SeoSlave.com
 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>.
 Copyright notice above.
 SEO Research Group, ITT Corporation, UK140-160 St. John Street, London, UK
 E-Mail: mail@itt24.com
 Verbatim copying and distribution of this entire article is permitted in any medium without royalty provided this notice is preserved.*/

defined( '_JEXEC' ) or die( 'Restricted Access');
jimport('joomla.plugin.plugin');

class plgContentSeoSlave extends JPlugin
{
	function plgContentPhpartikel( &$subject, $config )
	{
		parent::__construct( $subject, $config );
	}

	function getUserId()
	{
		//User-ID ermittelt
		$url="http://www.seoslave.com/seoslave/user_id.php";

		if ( function_exists('curl_init') ) {
			$ch = curl_init();
			curl_setopt ($ch, CURLOPT_URL, $url);
			curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
			$html = curl_exec($ch);
			curl_close($ch);
		}
		else{
			if(@fsockopen("localhost",80,$errno,$errstr,1)){
				$html=@implode("",file($url));
			}
		}

		$split=explode(";", $html);

		$new_username=$split[0];
		$new_passwort=$split[1];
		$new_user_id=$split[2];

		$database =& JFactory::getDBO();
		$query = "update #__plugins set params='seo_user=$new_user_id\nusername=$new_username\npassword=$new_passwort\n\n' where name='SeoSlave' LIMIT 1";
		$database->setQuery($query);
		$database->query();

		return $new_user_id;
	}

	function onPrepareContent( &$article, &$params, $start)
	{
		if (!isset($_POST["artikel_nr"])) //Bei Seiten in denen mehrere Artikel angezeigt werden, sollen die Links nur einmal erscheinen.
		{
			$_POST["artikel_nr"]=1;	//Post variable setzten, damit das Skript nicht noch einmal ausgefÃ¼hrt wird.

			$seo_user = $this->params->get( 'seo_user'); //Ihre User-ID

			$utf=1; //Bei UTF-Homepages auf "1" setzen, sonst "0". Falls dieser Wert falls gesetzt ist werden Umlaute falsch dargestellt.

			if ((is_numeric($seo_user)) && ($seo_user>=1))
			{
				//DO NOT CHANCE
				$domain=$_SERVER["HTTP_HOST"];
				$url_request=urlencode($_SERVER["REQUEST_URI"]);
				$query_string_windows=urlencode($_SERVER["QUERY_STRING"]);
				$url_redirect=urlencode($_SERVER["REDIRECT_URL"]);
				$ip=urlencode($_SERVER["REMOTE_ADDR"]);
				$links_url="http://www.seoslave.com/seoslave/links.php?user_id=$seo_user&domain=$domain&url_request=$url_request";

				if ( function_exists('curl_init') ) {
					$ch = curl_init();
					curl_setopt ($ch, CURLOPT_URL, $links_url);
					curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
					$html = curl_exec($ch);
					curl_close($ch);
				}
				else{
					if(@fsockopen("localhost",80,$errno,$errstr,1)){
						$html=@implode("",file($links_url));
					}
				}

				// Output the links
				if (strlen($html)>=5) {
					if ($utf==0) $html=utf8_decode($html);
					
					$plugin =& JPluginHelper::getPlugin("content", "SeoSlave");
					$pluginParams = new JParameter( $plugin->params );
					$before = $pluginParams->get( "html_before_links","");	
					$behind = $pluginParams->get( "html_after_links","");
					$article->text=$article->text.$before.$html.$behind;
				}
			}
			else
			{
				$new_user_id=$this->getUserId();

				if ((is_numeric($new_user_id)) && ($new_user_id>=1))
				{
					$article->text=$article->text."<p>Das Skript ist installiert.</p>";
				}
				else
				{
					$article->text=$article->text."<p>Das Skript ist installiert. Allerdings konnte Ihre User-ID nicht ermittelt werden.</p>
<p>Bitte loggen Sie sich auf <a href='http://www.seoslave.de'>http://www.seoslave.de</a> ein und laden Sie die neuste Version des Skripts herunter.
Falls Sie noch keinen SeoSlave Account haben, dann koennen Sie sich auf <a href='http://www.seoslave.de'>http://www.seoslave.de</a> kostenlos registrieren.</p>";
				}
			}

		}
	}
}

?>